Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasypt.hibernate.type
Class ParameterNaming

    Object
      org.jasypt.hibernate.type.ParameterNaming

Deprecated. Will be removed in 1.11. Package org.jasypt.hibernate.connectionprovider has been renamed as org.jasypt.hibernate3.connectionprovider.

    public final class ParameterNaming

extends Object

Constant names of the parameters that can be used by a jasypt type's typedef declaration in a Hibernate mapping.

Since:
  1.4 (was `org.jasypt.hibernate.ParameterNaming` since 1.0)
Author:
  Daniel Fernández

Field Summary
`static String` | `ALGORITHM` Deprecated. The encryption algorithm.
`static String` | `DECIMAL_SCALE` Deprecated. The scale (numbers after the decimal point) to be used when storing decimal numbers.
`static String` | `ENCRYPTOR_NAME` Deprecated. The registered name of an encryptor previously registered at the `HibernatePBEEncryptorRegistry`.
`static String` | `KEY_OBTENTION_ITERATIONS` Deprecated. The number of hashing iterations to be applied for obtaining the encryption key.
`static String` | `PASSWORD` Deprecated. The encryption password.
`static String` | `PROVIDER_NAME` Deprecated. The name of the JCE security provider we want to get the algorithm from (if it is no the default one.
`static String` | `STORE_TIME_ZONE` Deprecated. Whether the calendar time zone should be stored with the date or not.
`static String` | `STRING_OUTPUT_TYPE` Deprecated. The type of String output ("base64" (default), "hexadecimal") to be generated.

Method Summary

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENCRYPTOR_NAME

    public static final String ENCRYPTOR_NAME

  Deprecated.

  The registered name of an encryptor previously registered at the `HibernatePBEEncryptorRegistry`.

  Value = `encryptorRegisteredName`

  See Also:
    Constant Field Values

### ALGORITHM

    public static final String ALGORITHM

  Deprecated.

  The encryption algorithm.

  Value = `algorithm`

  See Also:
    Constant Field Values

### PROVIDER_NAME

    public static final String PROVIDER_NAME

  Deprecated.

  The name of the JCE security provider we want to get the algorithm from (if it is no the default one.

  Value = `providerName`

  See Also:
    Constant Field Values

### PASSWORD

    public static final String PASSWORD

  Deprecated.

  The encryption password.

  Value = `password`

  See Also:
    Constant Field Values

### KEY_OBTENTION_ITERATIONS

    public static final String KEY_OBTENTION_ITERATIONS

  Deprecated.

  The number of hashing iterations to be applied for obtaining the encryption key.

  Value = `keyObtentionIterations`

  See Also:
    Constant Field Values

### STRING_OUTPUT_TYPE

    public static final String STRING_OUTPUT_TYPE

  Deprecated.

  The type of String output ("base64" (default), "hexadecimal") to be generated.

  Value = `stringOutputType`

  See Also:
    Constant Field Values

### DECIMAL_SCALE

    public static final String DECIMAL_SCALE

  Deprecated.

  The scale (numbers after the decimal point) to be used when storing decimal numbers.

  Value = `decimalScale`

  See Also:
    Constant Field Values

### STORE_TIME_ZONE

    public static final String STORE_TIME_ZONE

  Deprecated.

  Whether the calendar time zone should be stored with the date or not.

  Value = `storeTimeZone`

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 The JASYPT team. All Rights Reserved.